Bug 226100 - devel/git-review needs an update to support git newer than 2.15
Summary: devel/git-review needs an update to support git newer than 2.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-21 22:37 UTC by Eric Joyner
Modified: 2018-06-13 20:59 UTC (History)
3 users (show)

See Also:
dereckson: maintainer-feedback+
dereckson: merge-quarterly?


Attachments
svn-diff-git-review (761 bytes, patch)
2018-02-22 00:53 UTC, w.schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Joyner freebsd_committer 2018-02-21 22:37:29 UTC
Version of git-review in ports has an issue with newer versions of git.

When using -d to download a change, I get this error message:
-----------------------
fatal: the '--set-upstream' option is no longer supported. Please use '--track' or '--set-upstream-to' instead.
-----------------------

It looks like this was fixed in a commit here: https://git.openstack.org/cgit/openstack-infra/git-review/commit/?id=ef47e1f55340e53bab58e8af92af0df7986e971a

And the 1.26 tag in the repository includes this commit.
Comment 1 w.schwarzenfeld freebsd_triage 2018-02-22 00:53:12 UTC
Created attachment 190880 [details]
svn-diff-git-review
Comment 2 dereckson 2018-02-22 01:25:51 UTC
Thanks Eric for the report, and Walter for the update.

Testing and ensuring there isn't any new dependency.

MFH would be nice.
Comment 3 dereckson 2018-02-22 01:40:18 UTC
Works fine (tested with git-review 1.26 from the Walter patch, and Git 2.15.1).

$ git review -d 412902
Creating a git remote called 'gerrit' that maps to:
        ssh://dereckson@gerrit.wikimedia.org:29418/operations/mediawiki-config.git
Downloading refs/changes/02/412902/3 from gerrit
Switched to branch "review/urbanecm/T187184"
Comment 4 Eric Joyner freebsd_committer 2018-06-13 18:33:47 UTC
It doesn't look like that patch has been committed. Who is the one responsible for doing that?
Comment 5 commit-hook freebsd_committer 2018-06-13 20:37:31 UTC
A commit references this bug:

Author: jrm
Date: Wed Jun 13 20:36:39 UTC 2018
New revision: 472342
URL: https://svnweb.freebsd.org/changeset/ports/472342

Log:
  devel/git-review/Makefile: Update to version 1.26.0

  PR:		226100
  Submitted by:	w.schwarzenfeld@utanet.at
  Reported by:    erj
  Approved by:	dereckson@gmail.com (maintainer)

Changes:
  head/devel/git-review/Makefile
  head/devel/git-review/distinfo
Comment 6 commit-hook freebsd_committer 2018-06-13 20:58:50 UTC
A commit references this bug:

Author: jrm
Date: Wed Jun 13 20:58:13 UTC 2018
New revision: 472343
URL: https://svnweb.freebsd.org/changeset/ports/472343

Log:
  MFH: r472342

  devel/git-review/Makefile: Update to version 1.26.0

  PR:		226100
  Submitted by:	w.schwarzenfeld@utanet.at
  Reported by:    erj
  Approved by:	dereckson@gmail.com (maintainer)

  Approved by:	portmgr (implicit)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/devel/git-review/Makefile
  branches/2018Q2/devel/git-review/distinfo